OGRE-Next: Ogre::UserObjectBindings Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::UserObjectBindings Class Reference
Core | Component » Scene

Class that provides convenient interface to establish a linkage between custom user application objects and Ogre core classes. More...

`#include <OgreUserObjectBindings.h>`

Inheritance diagram for Ogre::UserObjectBindings:
[legend]

## Public Member Functions
| UserObjectBindings ()
| Class constructor.
virtual | ~UserObjectBindings ()
| Class destructor.
void | clear () const
| Clear all user objects from this binding.
void | eraseUserAny (const String &key)
| Erase the custom user object associated with this class and key from this binding.
const Any & | getUserAny () const
| Retrieves the custom key less user object associated with this class.
const Any & | getUserAny (const String &key) const
| Retrieves the custom user object associated with this class and key.
void | setUserAny (const Any &anything)
| Sets any kind of user object on this class instance.
void | setUserAny (const String &key, const Any &anything)
| Sets any kind of user object on this class instance.

## Static Public Member Functions
static const Any & | getEmptyUserAny ()
| Returns empty user any object.

## Detailed Description

Class that provides convenient interface to establish a linkage between custom user application objects and Ogre core classes.

Any instance of Ogre class that will derive from this class could be associated with custom application object using this class interface.

## Constructor & Destructor Documentation

## ◆ UserObjectBindings()

Ogre::UserObjectBindings::UserObjectBindings | ( |  | ) |

Class constructor.

## ◆ ~UserObjectBindings()

virtual Ogre::UserObjectBindings::~UserObjectBindings | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

## ◆ clear()

void Ogre::UserObjectBindings::clear | ( |  | ) | const

Clear all user objects from this binding.

## ◆ eraseUserAny()

void Ogre::UserObjectBindings::eraseUserAny | ( | const String & | key | ) |

Erase the custom user object associated with this class and key from this binding.

Parameters

  key | The key that the requested user object is associated with.

## ◆ getEmptyUserAny()

static const Any & Ogre::UserObjectBindings::getEmptyUserAny | ( |  | ) |
| inlinestatic

Returns empty user any object.

## ◆ getUserAny() [1/2]

const Any & Ogre::UserObjectBindings::getUserAny | ( |  | ) | const

Retrieves the custom key less user object associated with this class.

## ◆ getUserAny() [2/2]

const Any & Ogre::UserObjectBindings::getUserAny | ( | const String & | key | ) | const

Retrieves the custom user object associated with this class and key.

Parameters

  key | The key that the requested user object is associated with.

Remarks
  In case no object associated with this key the returned Any object will be empty.

## ◆ setUserAny() [1/2]

void Ogre::UserObjectBindings::setUserAny | ( | const Any & | anything | ) |

Sets any kind of user object on this class instance.

Remarks
  This method allows you to associate any user object you like with this class. This can be a pointer back to one of your own classes for instance.

Note
  This method is key less meaning that each call for it will override previous object that were set. If you need to associate multiple objects with this class use the extended version that takes key.

## ◆ setUserAny() [2/2]

void Ogre::UserObjectBindings::setUserAny | ( | const String & | key,
|  | const Any & | anything )

Sets any kind of user object on this class instance.

Remarks
  This method allows you to associate multiple object with this class. This can be a pointer back to one of your own classes for instance. Use a unique key to distinguish between each of these objects.

Parameters

  key | The key that this data is associate with.
  anything | The data to associate with the given key.

The documentation for this class was generated from the following file:

- OgreUserObjectBindings.h